Anonymous Login
2016-09-30 13:39 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
07658Bug reports[All Projects] Expression Managerpublic2013-03-17 12:12
Reporterbebs 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.00+ 
Summary07658: group preview expressions not working at import
DescriptionHello,
I don't know if it's by design or if I broke something / found some bug in TSV (aka excel) import:

to reproduce:
1. import the attached survey (in LS2.00+ Build 130110)
2. go to survey
3. select group 2. in admin menu (economic - economic autonomy)
4. hit "preview group" icon

-> answering to the few questions does not lead to automatic update of the 2 equations at the bottom of the group page... even if the equations are correct.

5. back to admin screen edit question "eco_auto" in the same group
6. don't change anything, just hit "save and close"
7. preview the group again

-> now, answering any of the questions does indeed lead to right update of the 2 equations.

this issue seems to only happen with "group preview", if I use "survey preview" the expressions are active even directly after survey import.

no javascript / server error was raised during this test.

if you need any more explanation feel free to ask!
B.
Additional Informationin related forum post Denis mentioned:

"Seems we don't clear EM session cache at import."

http://www.limesurvey.org/en/forum/installation-a-update-issues/92784-excel-tsv-import-with-expressions-g-breaks-group-preview-function-bug
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Operating System (Server)
Webserver software & version
PHP Version
Attached Files
  • txt file icon limesurvey_survey_879145.txt (34,856 bytes) 2013-03-12 17:53 -
    class	type/scale	name	relevance	text	help	language	validation	mandatory	other	default	same_default	allowed_filetypes	alphasort	answer_width	array_filter	array_filter_exclude	assessment_value	category_separator	display_columns	display_rows	dropdown_dates_year_min	dropdown_dates	dropdown_dates_year_max	dropdown_prefix	dropdown_prepostfix	dropdown_separators	dropdown_size	dualscale_headerA	dualscale_headerB	em_validation_q_tip	em_validation_q	em_validation_sq	em_validation_sq_tip	equals_num_value	exclude_all_others	exclude_all_others_auto	hidden	hide_tip	input_boxes	location_city	location_country	location_defaultcoordinates	location_mapheight	location_mapservice	location_mapwidth	location_mapzoom	location_nodefaultfromip	location_postal	location_state	max_answers	max_filesize	max_num_of_files	max_num_value	max_num_value_n	maximum_chars	min_answers	min_num_of_files	min_num_value	min_num_value_n	multiflexible_checkbox	multiflexible_max	multiflexible_min	multiflexible_step	num_value_int_only	numbers_only	other_comment_mandatory	other_numbers_only	other_replace_text	page_break	prefix	public_statistics	random_group	random_order	reverse	scale_export	show_comment	show_grand_total	show_title	show_totals	slider_accuracy	slider_default	slider_layout	slider_max	slider_middlestart	slider_min	slider_rating	slider_separator	slider_showminmax	suffix	text_input_width	time_limit_action	time_limit_countdown_message	time_limit_disable_next	time_limit_disable_prev	time_limit_message	time_limit_message_delay	time_limit_message_style	time_limit_timer_style	time_limit_warning_2_display_time	time_limit_warning_2_message	time_limit_warning_2_style	time_limit_warning_2	time_limit_warning	time_limit	time_limit_warning_display_time	time_limit_warning_message	time_limit_warning_style	use_dropdown
    S		sid		879145																																																																																																								
    S		owner_id		4																																																																																																								
    S		admin		Bertrand Grégoire																																																																																																								
    S		active		N																																																																																																								
    S		adminemail		bertrand.gregoire@tudor.lu																																																																																																								
    S		anonymized		N																																																																																																								
    S		format		G																																																																																																								
    S		savetimings		Y																																																																																																								
    S		template		resilientweb_citronade																																																																																																								
    S		language		en																																																																																																								
    S		datestamp		Y																																																																																																								
    S		usecookie		N																																																																																																								
    S		allowregister		N																																																																																																								
    S		allowsave		Y																																																																																																								
    S		autonumber_start		0																																																																																																								
    S		autoredirect		N																																																																																																								
    S		allowprev		Y																																																																																																								
    S		printanswers		N																																																																																																								
    S		ipaddr		Y																																																																																																								
    S		refurl		N																																																																																																								
    S		datecreated		2013-03-06																																																																																																								
    S		publicstatistics		N																																																																																																								
    S		publicgraphs		N																																																																																																								
    S		listpublic		N																																																																																																								
    S		htmlemail		Y																																																																																																								
    S		sendconfirmation		Y																																																																																																								
    S		tokenanswerspersistence		N																																																																																																								
    S		assessments		Y																																																																																																								
    S		usecaptcha		D																																																																																																								
    S		usetokens		N																																																																																																								
    S		bounce_email		bertrand.gregoire@tudor.lu																																																																																																								
    S		attributedescriptions		a:0:{}																																																																																																								
    S		tokenlength		8																																																																																																								
    S		showxquestions		N																																																																																																								
    S		showgroupinfo		B																																																																																																								
    S		shownoanswer		Y																																																																																																								
    S		showqnumcode		C																																																																																																								
    S		bounceprocessing		N																																																																																																								
    S		showwelcome		Y																																																																																																								
    S		showprogress		Y																																																																																																								
    S		allowjumps		Y																																																																																																								
    S		navigationdelay		0																																																																																																								
    S		nokeyboard		N																																																																																																								
    S		alloweditaftercompletion		N																																																																																																								
    S		googleanalyticsstyle		0																																																																																																								
    SL		surveyls_title		QS v8 tmp		en																																																																																																						
    SL		surveyls_description		<p>The resilience and sustainability quick scan is brought to you by the <a title="ResilieNtWEB consortium" href="http://resilientweb.eu/">ResilieNt WEB</a> team with the financial support of <a href="http://www.nweurope.eu/">Interreg IVB NWE</a>.</p><p>This questionnaire will scan your business context relating to your sustainability and resilience practices and capabilities. It will help us identify potential topics to work on together, if you so wish. The quality of the answers you provide is your personal responsibility, the ResilieNtWEB team cannot be hold liable of any loss or disagreement you may encounter from using our tool or the provided information.</p>		en																																																																																																						
    SL		surveyls_welcometext		<p>After a few administrative questions, you will be asked to answer a set of questions for sustainability concerns (environmental, societal and economic), as well as some key capabilities related to the resilience of your organisation (capacities to anticipate, adapt and learn). At any time feel free to provide us with additional explanations / comments.</p><p>Answering these questions is likely to take you around 40 minutes. You may save your progress at anytime. You will get a unique visual report directly after submitting your answers, and may then contact our local representatives to know more.</p>		en																																																																																																						
    SL		surveyls_endtext		<p>Thank you {contact_name} for answering to our quick scan questions.</p>  <p>To get your personalized feedback simply click "get it" below, after changing its title if you so whish:</p>      <form action="http://generic.tudor.lu/template_engine/rpc.php" method="post">  <fieldset>  <legend>Quick Scan generator</legend>  <label>Custom feedback title:</label><input name="title" type="text" value="{org_name} - Quick Resilience Scan" />     <input name="template" type="hidden" value="quickscan" />    <input name="sub[lang]" type="hidden" value="{LANG}" />   <input name="sid" type="hidden" value="{SID}” />     <input name="aid" type="hidden" value="{SAVEDID}" />     <input name="sub[token]" type="hidden" value="{TOKEN}" />   </fieldset> <input  class="left" type="submit" value=" Get it! " />  </form>  <p> </p> 		en																																																																																																						
    SL		surveyls_url		http://resilientweb.eu		en																																																																																																						
    SL		surveyls_urldescription		back to the ResilieNtWEB homepage without getting the results.		en																																																																																																						
    SL		surveyls_email_invite_subj		Invitation to participate in a survey		en																																																																																																						
    SL		surveyls_email_invite		Dear {FIRSTNAME},  you have been invited to participate in a survey.  The survey is titled: "{SURVEYNAME}"  "{SURVEYDESCRIPTION}"  To participate, please click on the link below.  Sincerely,  {ADMINNAME} ({ADMINEMAIL})  ---------------------------------------------- Click here to do the survey: {SURVEYURL}  If you do not want to participate in this survey and don't want to receive any more invitations please click the following link: {OPTOUTURL}  If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link: {OPTINURL}		en																																																																																																						
    SL		surveyls_email_remind_subj		Reminder to participate in a survey		en																																																																																																						
    SL		surveyls_email_remind		Dear {FIRSTNAME},  Recently we invited you to participate in a survey.  We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.  The survey is titled: "{SURVEYNAME}"  "{SURVEYDESCRIPTION}"  To participate, please click on the link below.  Sincerely,  {ADMINNAME} ({ADMINEMAIL})  ---------------------------------------------- Click here to do the survey: {SURVEYURL}  If you do not want to participate in this survey and don't want to receive any more invitations please click the following link: {OPTOUTURL}		en																																																																																																						
    SL		surveyls_email_register_subj		Survey registration confirmation		en																																																																																																						
    SL		surveyls_email_register		Dear {FIRSTNAME},  You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.  To complete this survey, click on the following URL:  {SURVEYURL}  If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.		en																																																																																																						
    SL		surveyls_email_confirm_subj		Confirmation of your participation in our survey		en																																																																																																						
    SL		surveyls_email_confirm		Dear {FIRSTNAME},  this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.  If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.  Sincerely,  {ADMINNAME}		en																																																																																																						
    SL		surveyls_dateformat		9		en																																																																																																						
    SL		surveyls_attributecaptions		a:0:{}		en																																																																																																						
    SL		email_admin_notification_subj		Response submission for survey {SURVEYNAME}		en																																																																																																						
    SL		email_admin_notification		Hello,  A new response was submitted for your survey '{SURVEYNAME}'.  Click the following link to reload the survey: {RELOADURL}  Click the following link to see the individual response: {VIEWRESPONSEURL}  Click the following link to edit the individual response: {EDITRESPONSEURL}  View statistics by clicking here: {STATISTICSURL}		en																																																																																																						
    SL		email_admin_responses_subj		Response submission for survey {SURVEYNAME} with results		en																																																																																																						
    SL		email_admin_responses		Hello,  A new response was submitted for your survey '{SURVEYNAME}'.  Click the following link to reload the survey: {RELOADURL}  Click the following link to see the individual response: {VIEWRESPONSEURL}  Click the following link to edit the individual response: {EDITRESPONSEURL}  View statistics by clicking here: {STATISTICSURL}   The following answers were given by the participant: {ANSWERTABLE}		en																																																																																																						
    SL		surveyls_numberformat		0		en																																																																																																						
    G		A little bit about you	1	Please describe quickly your professional context.		en																																																																																																						
    Q	S	org_name	1	What is the name of your organisation?		en		Y	N		1																																																																																																	
    Q	L	country	1	What is your organization's country?		en		Y	Y		1																																																									Other:			1																																					
    SQ	0	other		Other		en																																																																																																						
    A	0	BE	1	Belgium		en																																																																																																						
    A	0	FR	1	France		en																																																																																																						
    A	0	LU	1	Luxembourg		en																																																																																																						
    A	0	UK	1	Uniteg-kingdom		en																																																																																																						
    Q	G	gender	1	Your gender is		en			N		1																																																																																																	
    Q	Q	location	1	Where is your organization located?		en			N		1																																																																																																	
    SQ	0	street		Street		en																																																																																																						
    SQ	0	city		City		en																																																																																																						
    SQ	0	PC		Postal code		en																																																																																																						
    Q	Q	contact	1	<p>  <strong>contact information.  </strong><br />  Please give us your relevant contact information to be able to communicate with you. Confidentiality of all the personal data is guaranteed.</p> 		en			N		1																																																																																																	
    SQ	0	name		Name		en																																																																																																						
    SQ	0	phone		Phone		en																																																																																																						
    SQ	0	fax		Fax		en																																																																																																						
    SQ	0	email		Email		en																																																																																																						
    SQ	0	url		Url		en																																																																																																						
    Q	L	age	1	What is your age?		en			N		1																																																																																																	
    A	0	25	0	less than 35		en																																																																																																						
    A	0	35	1	35 to 44		en																																																																																																						
    A	0	45	1	45 to 54		en																																																																																																						
    A	0	55	1	55 to 64		en																																																																																																						
    A	0	65	1	65 and over		en																																																																																																						
    Q	!	ethnic	(country.NAOK eq 'UK')	What is your ethnical background?		en			N		1		1																																																							Not known/Prefer not to say																																								
    A	0	WB	1	White - british		en																																																																																																						
    A	0	WI	1	White - irish		en																																																																																																						
    A	0	Wo	1	White - other		en																																																																																																						
    A	0	MWBC	1	Mixed - white&black caribbean		en																																																																																																						
    A	0	MWBA	1	Mixed - white&black african		en																																																																																																						
    A	0	MWA	1	Mixed - white&asian		en																																																																																																						
    A	0	Mo	1	Mixed - other		en																																																																																																						
    A	0	C	1	Chinese		en																																																																																																						
    A	0	AI	1	Asian or asian british - indian		en																																																																																																						
    A	0	AP	1	Asian or asian british - pakistani		en																																																																																																						
    A	0	AB	1	Asian or asian british - bangladeshi		en																																																																																																						
    A	0	AO	1	Asian or asian british - other		en																																																																																																						
    A	0	BC	1	Black or black british - caribbean		en																																																																																																						
    A	0	BA	1	Black or black british - african		en																																																																																																						
    A	0	BO	1	Black or black british - other		en																																																																																																						
    A	0	_NK	1	 Not known / prefer not to say		en																																																																																																						
    Q	L	position	1	Which of these levels best describes your position within your company?		en			N		1																																																																																																	
    A	0	A1	0	Senior management		en																																																																																																						
    A	0	A2	1	Middle management		en																																																																																																						
    A	0	A3	1	Supervisor / team leader		en																																																																																																						
    A	0	A4	1	Staff		en																																																																																																						
    Q	S	dpt	1	In which department or business unit do you work?		en			N		1																																																																																																	
    Q	S	title	1	What is your job title? 		en			N		1																																																																																																	
    Q	L	experience-industry	1	How long have you been working in your sector? 		en			N		1																																																																																																	
    A	0	1	0	<1 year		en																																																																																																						
    A	0	3	1	1-3 years		en																																																																																																						
    A	0	10	1	4-10 years		en																																																																																																						
    A	0	20	1	11-20 years		en																																																																																																						
    A	0	21	1	21+ years		en																																																																																																						
    Q	L	experience-organisat	1	How long have you been working at your organisation? 		en			N		1																																																																																																	
    A	0	1	0	<1 year		en																																																																																																						
    A	0	3	0	1-3 years		en																																																																																																						
    A	0	10	0	4-10 years		en																																																																																																						
    A	0	20	0	11-20 years		en																																																																																																						
    A	0	21	0	21+ years		en																																																																																																						
    Q	L	business-age	1	How long has your company been in business?		en			N		1																																																																																																	
    A	0	1	0	<1 year		en																																																																																																						
    A	0	3	1	1-3 years		en																																																																																																						
    A	0	10	2	4-10 years		en																																																																																																						
    A	0	20	3	11-20 years		en																																																																																																						
    A	0	21	4	21+ years		en																																																																																																						
    Q	N	turnover	1	What is your company turnover?		en			N		1																																																																																																	
    Q	N	fte	1	How many employees (full time equivalent) work for your organisation?		en			N		1																																																																																																	
    G		Economic - Economic autonomy	1	For each of the following statements relating to the economic autonomy of your organisation, please tell us the extent to which you agree they apply to your organisation. Hints are given to help you interprete what the statement could mean.		en																																																																																																						
    Q	O	q1	1	We use many suppliers for our key supplies	What is your key supplies ? Why do you use many supplies? 	en			N		1																											1																																																																						
    SQ	0	comment		Comment		en																																																																																																						
    A	0	AG	4	Agree <span class=hint>More than 10 suppliers</span>		en																																																																																																						
    A	0	TA	3	Tend to agree <span class=hint>10 to 5 suppliers</span>		en																																																																																																						
    A	0	TD	2	Tend to disagree <span class=hint>5 to 2 suppliers</span>		en																																																																																																						
    A	0	DI	1	Disagree <span class=hint>2 and less suppliers</span>		en																																																																																																						
    A	0	NA	-5	Not Applicable		en																																																																																																						
    Q	O	q2	1	We are seasonally dependent on orders and/or our key resources. 		en			N		1																											1																																																																						
    SQ	0	comment		Comment		en																																																																																																						
    A	0	AG	4	Agree <span class=hint>Less than 25% of our orders are seasonal</span>		en																																																																																																						
    A	0	TA	3	Tend to agree <span class=hint>24% to 50% of our orders are seasonal</span>		en																																																																																																						
    A	0	TD	2	Tend to disagree <span class=hint>51 % to 74% of our orders are seasonal</span>		en																																																																																																						
    A	0	DI	1	Disagree <span class=hint>More than 75 % of our orders are seasonal</span>		en																																																																																																						
    Q	O	q3	1	We have fluctuations in our resource costs. 		en			N		1																											1																																																																						
    SQ	0	comment		Comment		en																																																																																																						
    A	0	AG	4	Agree <span class=hint>Fluctuation of more than 100%</span>		en																																																																																																						
    A	0	TA	3	Tend to agree <span class=hint>50-100% of fluctuation</span>		en																																																																																																						
    A	0	TD	2	Tend to disagree <span class=hint>0-50% of fluctuation</span>		en																																																																																																						
    A	0	DI	1	Disagree <span class=hint>No fluctuation</span>		en																																																																																																						
    A	0	NA	-5	Not Applicable		en																																																																																																						
    Q	O	q4	1	Our stakeholders (suppliers, customers or any people related to our business) are interested in knowing the environmental impact of our activities. 	Which stakeholders are interested in knowing the environmental impacts of our activities? Why? 	en			N		1																											1																																																																						
    SQ	0	comment		Comment		en																																																																																																						
    A	0	AG	4	Agree <span class=hint>All of them are interested</span>		en																																																																																																						
    A	0	TA	3	Tend to agree <span class=hint>Most are interested</span>		en																																																																																																						
    A	0	TD	2	Tend to disagree <span class=hint>Some are interested</span>		en																																																																																																						
    A	0	DI	1	Disagree <span class=hint>None of them are interested</span>		en																																																																																																						
    A	0	NA	-5	Not Applicable		en																																																																																																						
    Q	*	eco_auto	1	{round(sumifop('>',0,q1.value, q2.value, q3.value, q4.value)/1.6,1)}		en			N		1																																																																																																	
    Q	*	eco_auto_m	1	{4-countifop('>',0,q1.value,q2.value,q3.value,q4.value)}		en			N		1																																																																																																	
    G		Economic - Strategic anticipation	1	For each of the following statements relating to the strategic anticipation of your organisation, please tell us the extent to which you agree they apply to your organisation. Hints are given to help you interprete what these statements could mean.		en																																																																																																						
    Q	O	q5	1	We are proactive in the development of our goods/services. 	What practical actions have you put in place? Do you have staff dedicated to research and innovation? Are you looking for certification of your goods/services? 	en			N		1																											1																																																																						
    SQ	0	comment		Comment		en																																																																																																						
    A	0	AG	4	Agree <span class=hint>We have dedicated staff for this activity</span>		en																																																																																																						
    A	0	TA	3	Tend to agree <span class=hint>Some staff have dedicated time for this activity </span>		en																																																																																																						
    A	0	TD	2	Tend to disagree <span class=hint>Some staff are doing it alongside their activity</span>		en																																																																																																						
    A	0	DI	1	Disagree <span class=hint>We don’t do this activity </span>		en																																																																																																						
    A	0	NA	-5	Not Applicable		en																																																																																																						
    Q	O	q6	1	We look for possible resource alternatives. 	What resources do you have issues with? Which alternatives are you exploring? Do you have no particular issue with your resources? Do you explore new processes reducing resources consumption?	en			N		1																											1																																																																						
    SQ	0	comment		Comment		en																																																																																																						
    A	0	AG	4	Agree <span class=hint>Always</span>		en																																																																																																						
    A	0	TA	3	Tend to agree <span class=hint>Often</span>		en																																																																																																						
    A	0	TD	2	Tend to disagree <span class=hint>Sometimes</span>		en																																																																																																						
    A	0	DI	1	Disagree <span class=hint>Never</span>		en																																																																																																						
    Q	O	q7	1	Our customers are ready to pay more for a good/service with environmental credentials.	How do you know that? 	en			N		1																											1																																																																						
    SQ	0	comment		Comment		en																																																																																																						
    A	0	AG	4	Agree <span class=hint>Price rise of 30% or more</span>		en																																																																																																						
    A	0	TA	3	Tend to agree <span class=hint>Price rise of 15 to 30%</span>		en																																																																																																						
    A	0	TD	2	Tend to disagree <span class=hint>Price rise of 1 to 15%</span>		en																																																																																																						
    A	0	DI	1	Disagree <span class=hint>No price rise</span>		en																																																																																																						
    A	0	NA	-5	Not Applicable		en																																																																																																						
    Q	*	eco_anticip	1	{round(sumifop('>',0,q5.value, q6.value, q7.value)/1.2,1)}		en			N		1																																																																																																	
    Q	*	eco_anticip_m	1	{3-countifop('>',0,q5.value, q6.value, q7.value)}		en			N		1																																																																																																	
    txt file icon limesurvey_survey_879145.txt (34,856 bytes) 2013-03-12 17:53 +

-Relationships
+Relationships

-Notes

~24677

c_schmitz (administrator)

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11861

~24678

c_schmitz (administrator)

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11862

~24721

c_schmitz (administrator)

New version released.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-03-12 17:53 bebs New Issue
2013-03-12 17:53 bebs File Added: limesurvey_survey_879145.txt
2013-03-12 23:09 c_schmitz Project Feature requests => Bug reports
2013-03-13 11:40 c_schmitz Assigned To => c_schmitz
2013-03-13 11:40 c_schmitz Status new => assigned
2013-03-13 11:40 c_schmitz Status assigned => resolved
2013-03-13 11:40 c_schmitz Fixed in Version => 2.00+
2013-03-13 11:40 c_schmitz Resolution open => fixed
2013-03-13 11:43 c_schmitz Changeset attached => LimeSurvey 2.05 9a4282c7
2013-03-13 11:43 c_schmitz Note Added: 24677
2013-03-13 11:44 c_schmitz Changeset attached => LimeSurvey master d9ee4475
2013-03-13 11:44 c_schmitz Note Added: 24678
2013-03-17 12:12 c_schmitz Note Added: 24721
2013-03-17 12:12 c_schmitz Status resolved => closed
+Issue History